Package twisted :: Package scripts :: Module manhole

[frames | no frames]

## Module twisted.scripts.manhole

Start a `twisted.manhole` client.

Exceptions
`NoToolkitError` |

Function Summary
string | ``bestToolkit`()` The most-preferred available toolkit.
list of strings | ``getAvailableToolkits`()` Autodetect available toolkits.
| `run()`
| `run_gtk1(config)`
| `run_gtk2(config)`

Variable Summary
`NoneType` | `_availableToolkits` = None
`int` | `pbportno` = 8787
list of strings | `toolkitPreference`: A list of all toolkits we have front-ends for, with the ones we most prefer to use listed first.

Function Details

### bestToolkit()

The most-preferred available toolkit.

  Returns:
    string

### getAvailableToolkits()

Autodetect available toolkits.

  Returns:
    A list of usable toolkits.
    (type=list of strings)

Variable Details

### _availableToolkits

  Type:
    `NoneType`
  Value:

        None

### pbportno

  Type:
    `int`
  Value:

        8787

### toolkitPreference

A list of all toolkits we have front-ends for, with the ones we most prefer to use listed first.

  Type:
    list of strings
  Value:

        ('gtk2', 'gtk1')

Generated by Epydoc 2.0 on Sat May 15 20:07:46 2004 | http://epydoc.sf.net